import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:zhiying_base_widget/pages/login_page/bloc/bloc.dart';
import 'package:zhiying_base_widget/pages/login_page/bloc/login_bloc.dart';

///
/// 登陆页面
///
class LoginPage extends StatelessWidget {

  final Map<String, dynamic> data;
  LoginPage(this.data, {Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: BlocProvider<LoginBloc>(
        create: (_) => LoginBloc()..add(LoginInitEvent()),
          child: SafeArea(
            child: LoginPageContainer(),
          ),
      ),
    );
  }
}

class LoginPageContainer extends StatefulWidget {
  @override
  _LoginPageContainerState createState() => _LoginPageContainerState();
}

class _LoginPageContainerState extends State<LoginPageContainer> {
  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
